Crear un nuevo conductor
curl --request POST \
--url https://api.ugps.io/api/drivers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rut": "<string>",
"phone": "<string>",
"firstname": "<string>",
"lastname": "<string>",
"email": "<string>",
"address": "<string>",
"city": "<string>",
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.ugps.io/api/drivers"
payload = {
"rut": "<string>",
"phone": "<string>",
"firstname": "<string>",
"lastname": "<string>",
"email": "<string>",
"address": "<string>",
"city": "<string>",
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rut: '<string>',
phone: '<string>',
firstname: '<string>',
lastname: '<string>',
email: '<string>',
address: '<string>',
city: '<string>',
clientId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.ugps.io/api/drivers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"rut": "<string>",
"phone": "<string>",
"firstname": "<string>",
"lastname": "<string>",
"email": "<string>",
"address": "<string>",
"city": "<string>",
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": "failed",
"message": "Ya existe un conductor con el mismo RUT"
}{
"message": "Error interno del servidor"
}Otros - Conductores
Crear un nuevo conductor
Crea un nuevo conductor en el sistema.
Datos requeridos:
rut(string): RUT del conductorphone(string): Número de teléfono del conductorfirstname(string): Nombre del conductorlastname(string): Apellido del conductoremail(string): Correo electrónico del conductoraddress(string): Dirección del conductorcity(string): Ciudad del conductorclientId(string): ID del cliente asociado
POST
/
api
/
drivers
Crear un nuevo conductor
Authorizations
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Body
application/json
⌘I